## rock-master-19.06-multiagent-fipa-acl 0.20180914

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.

cmake_minimum_required(VERSION 2.6)
find_package(Rock)
rock_init(fipa_acl 1.4)
set(PROJECT_DESCRIPTION "Library for FIPA Agent Communication Language and handling bit-efficient FIPA Messages")
add_definitions(-DNUMERIC_DEPRECATE=1)
add_definitions(-g0)
add_definitions(-DTIXML_USE_STL=1)
add_definitions(-DBOOST_FILESYSTEM_VERSION=3)
add_definitions(-DBOOST_PHOENIX_NO_VARIADIC_EXPRESSION)

find_package(Boost 1.44.0 REQUIRED filesystem unit_test_framework regex thread system)
include_directories(${Boost_INCLUDE_DIRS})
link_directories(${Boost_LIBRARY_DIRS})
if(NOT Boost_VERSION VERSION_LESS "105400")
    message(STATUS "Enabling Phoenix V3 for boost spirit")
    add_definitions(-DBOOST_SPIRIT_USE_PHOENIX_V3=1)
endif()

set(CMAKE_BUILD_TYPE RelWithDebInfo)
rock_standard_layout()

=== src/CMakeLists.txt ===
set(SOURCES
    message_parser/agent_id.cpp
    message_parser/bitefficient_envelope_parser.cpp
    message_parser/bitefficient_message_parser.cpp
    message_parser/date_time.cpp
    message_parser/envelope_parser.cpp
    message_parser/grammar/grammar_common.cpp
    message_parser/grammar/grammar_bitefficient.cpp
    message_parser/grammar/grammar_bitefficient_envelope.cpp
    message_parser/message_printer.cpp
    message_parser/message_parser.cpp
    message_parser/string_message_parser.cpp
    message_parser/xml_envelope_parser.cpp
    message_parser/xml_message_parser.cpp
    message_parser/xml_parser.cpp
    message_generator/acl_message.cpp
    message_generator/acl_envelope.cpp
    message_generator/agent_id.cpp
    message_generator/envelope_generator.cpp
    message_generator/format/bitefficient_format.cpp
    message_generator/format/bitefficient_envelope_format.cpp
    message_generator/format/bitefficient_message_format.cpp
    message_generator/format/string_format.cpp
    message_generator/format/string_message_format.cpp
    message_generator/format/xml_envelope_format.cpp
    message_generator/format/xml_format.cpp
    message_generator/format/xml_message_format.cpp
    message_generator/message_format.cpp
    message_generator/message_generator.cpp
    message_generator/received_object.cpp
    message_generator/userdef_param.cpp
    message_generator/serialized_letter.cpp
    conversation_monitor/conversation.cpp
    conversation_monitor/conversation_monitor.cpp
    conversation_monitor/message_archive.cpp
    conversation_monitor/role.cpp
    conversation_monitor/state.cpp
    conversation_monitor/statemachine_factory.cpp
    conversation_monitor/statemachine_reader.cpp
    conversation_monitor/statemachine.cpp
    conversation_monitor/transition.cpp
)

set(HEADERS
    bitefficient_message.h
    conversation_monitor.h
    conversation_monitor/conversation.h
    conversation_monitor/conversation_monitor.h
    conversation_monitor/message_archive.h
    conversation_monitor/role.h
    conversation_monitor/state.h
    conversation_monitor/statemachine_factory.h
    conversation_monitor/statemachine_reader.h
    conversation_monitor/statemachine.h
    conversation_monitor/transition.h
    fipa_acl.h
    message_generator/exception.h
    message_generator/userdef_param.h
    message_generator/types.h
    message_generator/agent_id.h
    message_generator/acl_message.h
    message_generator/acl_envelope.h
    message_generator/envelope_generator.h
    message_generator/envelope_format.h
    message_generator/format/bitefficient_format.h
    message_generator/format/bitefficient_envelope_format.h
    message_generator/format/bitefficient_message_format.h
    message_generator/format/string_format.h
    message_generator/format/string_message_format.h
    message_generator/format/xml_envelope_format.h
    message_generator/format/xml_format.h
    message_generator/format/xml_message_format.h
    message_generator/message_format.h
    message_generator/message_generator.h
    message_generator/received_object.h
    message_generator/serialized_letter.h
    message_parser/agent_id.h
    message_parser/byte_sequence.h
    message_parser/bitefficient_envelope_parser.h
    message_parser/bitefficient_message_parser.h
    message_parser/date_time.h
    message_parser/debug.h
    message_parser/envelope_parser.h
    message_parser/grammar/grammar_common.h
    message_parser/grammar/grammar_bitefficient.h
    message_parser/grammar/grammar_bitefficient_envelope.h
    message_parser/message_parser.h
    message_parser/message_printer.h
    message_parser/parameter.h
    message_parser/string_message_parser.h
    message_parser/types.h
    message_parser/xml_envelope_parser.h
    message_parser/xml_message_parser.h
    message_parser/xml_parser.h
)

rock_library(${PROJECT_NAME} 
        SOURCES ${SOURCES}
        HEADERS ${HEADERS}
        DEPS_PKGCONFIG base-lib base-types tinyxml uuid
        )
target_link_libraries(${PROJECT_NAME} ${Boost_LIBRARIES})
	
rock_executable(testParser 
    SOURCES message_parser/main.cpp
    DEPS ${PROJECT_NAME}
    NOINSTALL)

rock_executable(fipa_acl-msg_generator
        SOURCES message_generator/generator.cpp
        DEPS ${PROJECT_NAME}
        )

rock_executable(fipa_acl-conv_monitor-reader
        SOURCES conversation_monitor/main.cpp
        DEPS ${PROJECT_NAME}
        )

pkg_check_modules(NUMERIC QUIET numeric)
if(${NUMERIC_FOUND})
    rock_executable(fipa_acl-benchmark
            SOURCES benchmark.cpp
            DEPS ${PROJECT_NAME}
            DEPS_PKGCONFIG numeric
            )
else()
    message(WARNING "Not building 'fipa_acl-benchmark'. Missing dependency: 'numeric'")
endif()

=== bindings/ruby/CMakeLists.txt ===
include(RockRuby)
include_directories(${CMAKE_BINARY_DIR}/include)
rock_find_pkgconfig(BASE_TYPES REQUIRED base-lib)
rock_ruby_rice_extension(fipamessage_ruby ext/fipa_message.cpp)
target_link_libraries(fipamessage_ruby fipa_acl)
set(FILES fipa-message.rb
    fipa-message/core.rb
    )

rock_ruby_library(fipa-message ${FILES})

=== test/unit-testing/conversation_monitor/CMakeLists.txt ===
set(SOURCES test.cpp
        statemachine_test.cpp
        conversation_monitor_test.cpp
        conversation_test.cpp
        utils.cpp
)

rock_executable(unit-test_conversation_monitor ${SOURCES}
    DEPS ${PROJECT_NAME}
    NOINSTALL)

=== debian/changelog ===
rock-master-19.06-multiagent-fipa-acl (0.20180914-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-multiagent/multiagent-fipa_acl.git
  * branch: refs/heads/master
  * commit: 03061e97a9ad650c97fc12001807d564577875d0
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Sat, 06 Jul 2019 14:48:08 +0200

=== debian/control ===
Source: rock-master-19.06-multiagent-fipa-acl
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, autoconf, automake, build-essential, cmake, libboost-dev, libboost-filesystem-dev, libboost-graph-dev, libboost-iostreams-dev, libboost-program-options-dev, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, libtinyxml-dev, rock-master-19.06-base-cmake, rock-master-19.06-base-numeric, rock-master-19.06-base-types, rock-master-19.06-ruby-rice, uuid-dev
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-multiagent-fipa-acl
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-base-numeric, rock-master-19.06-base-types, cmake, build-essential, libboost-dev, libboost-graph-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-system-dev, automake, autoconf, build-essential, uuid-dev, libtinyxml-dev, rock-master-19.06-ruby-rice
Description: Library for parsing FIPA Messages
 FIPA (Foundation for Intelligent Physical Agents) provides a specification for an agent communication language. This is a C++ implementation of a message parser and a message generator.
  Since FIPA also define interaction protocols, i.e. agents can use a well defined sequence of message to talk to each other. This library contains a conversation monitor that uses a state machine to validate message flows to conform to a protocol. Protocols can be defined in statechart xml format.
